summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-system/bin/checkbackup
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2008-11-07 15:14:01 (GMT)
committerJames Meyer <james.meyer@operamail.com>2008-11-07 15:14:01 (GMT)
commit4287d6026a61f8760633574c059f6e2dead2619d (patch)
tree58b2f78c08d5edcbf7e9cdf2b8a3862e73e8afd7 /abs/core-testing/LinHES-system/bin/checkbackup
parent724988f9137cdcaf078d5e88e7efec9e664b638e (diff)
downloadlinhes_pkgbuild-4287d6026a61f8760633574c059f6e2dead2619d.zip
linhes_pkgbuild-4287d6026a61f8760633574c059f6e2dead2619d.tar.gz
linhes_pkgbuild-4287d6026a61f8760633574c059f6e2dead2619d.tar.bz2
add the r5.5 backup/restore programs.
Diffstat (limited to 'abs/core-testing/LinHES-system/bin/checkbackup')
-rwxr-xr-xabs/core-testing/LinHES-system/bin/checkbackup16
1 files changed, 16 insertions, 0 deletions
diff --git a/abs/core-testing/LinHES-system/bin/checkbackup b/abs/core-testing/LinHES-system/bin/checkbackup
new file mode 100755
index 0000000..129e5ff
--- /dev/null
+++ b/abs/core-testing/LinHES-system/bin/checkbackup
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+#----------------------------------------------------------------------------
+. $LinHES_ROOT/bin/backupcommon || {
+ echo 1>&2 "Can not load common settings!"
+ exit 1
+}
+#----------------------------------------------------------------------------
+
+if check_files_and_tables $BACKUP_LIST ; then
+ echo "Backup passes all checks."
+ exit 0
+else
+ echo "The backup is bad or already out of date!"
+ exit 1
+fi